PROFAOEXPR(3)

NAME
profAOExpr - returns the depth of an expression without taking the inverters into account.

SYNOPSYS
#include "logmmm.h"
int profAOExpr(expr)
chain_list *expr;

PARAMETER

expr
    expression

DESCRIPTION
profAOExpr() returns the depth of expr without taking the inverters into account.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
chain_list *expr1,*expr2;
expr1 = createExpr(OR);
addQExpr(expr1, notExpr(createAtom("a")));
addQExpr(expr1,createAtom("b"));
expr2 = createAtom("c");
printf("%d  %d,profAOExpr(expr2), profAOExpr(notExpr(expr2)));
printf("%d  %d, profExpr(expr1), profAOExpr(expr1));
/* it will display
0  0
2  1
*/
freeExpr(expr1);
freeExpr(expr2);

SEE ALSO
log(1), abl(1), profExpr(3), lengthExpr(3), numberAtomExpr(3), numberOccExpr(3), equalExpr(3), equalVarExpr(3), searchExpr(3), searchOperExpr(3).